#!/bin/bash

timeleft=`grep Grid-proxy-info $DQ2_LOCATION/log/DDMSubscriptions.log | tail -1 | awk '{print $4}' | cut -d: -f1`
emailaddress=`grep site_email $DQ2_LOCATION/conf/site_conf.py | awk '{print $3}' | cut -d\' -f2`

if [ $timeleft -lt 168 ] ; then

mail -s "DQ2 proxy on `hostname` expires in $timeleft hours" $emailaddress << EOF
Your DQ2 proxy on `hostname` will expire in $timeleft hours.

Please renew with

> cd \$DQ2_LOCATION
> . setup.sh 
> . fts-client/fts-cli.sh
> grid-proxy-init -valid 720:00
> myproxy-init -d -c 720
EOF

fi
